# XMLReader::setParserProperty

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::setParserProperty — Set parser options

### 说明

public XMLReader::setParserProperty(int `$property`, bool `$value`): bool

Set parser options. The options must be set after XMLReader::open() or XMLReader::XML() are called and before the first XMLReader::read() call.

### 参数

`property`

  One of the parser option constants.

`value`

  If set to `true` the option will be enabled otherwise will be disabled.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open